Subject: bug#59882: Multiple versions of Org in load-path problem

From: Max Nikulin <[email-masked]>
Date: Thu, 6 Apr 2023 22:02:06 +0700

On 03/02/2023 18:02, Ihor Radchenko wrote:
> 
> The problem seems to be real and appears to be some combination of
> Debian/Ubuntu + Emacs.

It is not a Debian packaging issue. I have reproduced the "invalid 
function `org-assert-version'" bug using emacs built from emacs-28.2 git 
tag. It is important to execute "make install" and to launch emacs from 
from that directory.

I have no idea why behavior is different when emacs is launched from the 
build tree.

Environment: Debian-12 bookworm (frozen testing).

There is no problem when emacs is built by just "make" from debian 
sources with all patches applied. I admit that this experiment was not 
really pure since I did not use configure options from the 
debian/control file.